<?php
/**
 * Class MassChangeStatusForm
 * User: ThurData
 * Date: 2019-10-11
 * Time: 12:26
 * @package ThurData\Servers\KerioEmail\App\UI\Client\Setting\Forms
 */

namespace ThurData\Servers\KerioEmail\App\UI\Client\Setting\Forms;

use ThurData\Servers\KerioEmail\App\UI\Client\Setting\Providers\SettingDataProvider;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\BaseForm;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Select;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\FormConstants;

class MassChangeStatusForm extends BaseForm implements ClientArea
{
    protected $id    = 'massChangeStatusForm';
    protected $name  = 'massChangeStatusForm';
    protected $title = 'massChangeStatusForm';

    public function initContent()
    {
        $this->setFormType(FormConstants::UPDATE);
        $this->dataProvider = new SettingDataProvider();

        $field = new Select('status');
        $this->addField($field);

        $this->loadDataToForm();
    }

}